<script>
import Layout from '../../layouts/main.vue';
import PageHeader from '../../components/page-header.vue';
import selectCuisines from './select_cuisines.vue';
import restaurantLocation from './restaurant-location.vue';
import serviceOffering from './service_offering.vue';
import tax from './tax.vue';
import otherSettings from './other-settings.vue';

export default {
    components: { Layout, PageHeader, restaurantLocation, selectCuisines, serviceOffering, tax, otherSettings },
    data() {
        return {
            bTabs: 0,
            location: "../../../../images/outlet/location.png",
            cuisions: "../../../../images/outlet/cuisions.png",
            services: "../../../../images/outlet/services.png",
            taximg: "../../../../images/outlet/tax.png",
            basicsetting: "../../../../images/outlet/basic-setting.png"
        }
    },
    mounted() {
    },
    methods: {
        tabChange(id) {
            this.bTabs = id
        }
    }
}
</script>

<template>
    <Layout>
        <PageHeader :title="trans.get('__JSON__.Outlet')">
            <template v-slot:icon>
                <i class="bx bx-notepad"></i>
            </template>
        </PageHeader>
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body outlet-lst checkout-tabs">
                        <b-tabs v-model="bTabs" justified nav-class="nav-tabs-custom nw-inn-side-tab" content-class="p-3 text-muted" pills
                            card vertical>
                            <b-tab :active="bTabs == 0" class="side-tmpl-nav">
                                <template v-slot:title  class="tmpl-nav">
                                    <img :src="location" alt="avatar" class="outlet-img">
                                    <p class="font-weight-bold mt-2 mb-0">{{ trans.get('__JSON__.Outlet Location') }}</p>
                                </template>
                                <restaurant-location v-if="bTabs == 0" @actionChanged="tabChange" />
                            </b-tab>
                            <b-tab :active="bTabs == 1">
                                <template v-slot:title>
                                    <span class="d-inline-block d-sm-none"><i class="fas fa-home"></i></span>
                                    <img :src="cuisions" alt="avatar" class="outlet-img">
                                    <p class="font-weight-bold mt-2 mb-0">{{ trans.get('__JSON__.Select Cuisines')}}</p>
                                </template>
                                <selectCuisines v-if="bTabs == 1" @actionChanged="tabChange" />
                            </b-tab>
                            <b-tab :active="bTabs == 2">
                                <template v-slot:title>
                                    <img :src="services" alt="avatar" class="outlet-img">
                                    <p class="font-weight-bold mt-2 mb-0">{{ trans.get('__JSON__.Service Offering')
                                    }}</p>
                                </template>
                                <serviceOffering v-if="bTabs == 2" @actionChanged="tabChange" />
                            </b-tab>
                            <b-tab :active="bTabs == 3">
                                <template v-slot:title>
                                    <img :src="taximg" alt="avatar" class="outlet-img">
                                    <p class="font-weight-bold mt-2 mb-0">{{ trans.get('__JSON__.Tax') }}</p>
                                </template>
                                <tax v-if="bTabs == 3" @actionChanged="tabChange" />
                            </b-tab>
                            <b-tab :active="bTabs == 4">
                                <template v-slot:title>
                                    <img :src="basicsetting" alt="avatar" class="outlet-img">
                                    <p class="font-weight-bold mt-2 mb-0">{{ trans.get('__JSON__.Other Settings') }}</p>
                                </template>
                                <otherSettings v-if="bTabs == 4" @actionChanged="tabChange" />
                            </b-tab>
                        </b-tabs>
                    </div>
                </div>
            </div>
        </div>
    </Layout></template>
